Support » Plugin: Facebook » Invalid PHP – 500 Server Error

  • Upon upgrading to a newer version of PHP, where there are stricter standards for invalid PHP, I found this incorrect code in your plugin that caused a 500 server error:

    File: social-plugins/widgets/like-box.php
    Line: 84
    Screenshot: http://dp.wecreate.com/ZjLn
    PHP Fatal Error: ‘break not in the ‘loop’ or ‘switch’ context

    Can you please fix this by just getting rid of the break; statement? It doesn’t do anything anyways if it’s not in a loop or switch. This is kind of urgent as my sites will all break if you ever update this plugin again.

    Hugely appreciated. Thanks!

    https://wordpress.org/plugins/facebook/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Hi,

    I accidentally installed this plugin without checking the version compatibility with my WordPress installation.

    My website is now also producing a 500 server error. How did you resolve this problem? Can I just remove the break statement?

    Kind regards

    Yes, I have also just discovered this stupid bug.
    Comment it safely. Pretty stupid syntax error, seems developer has beginner level in php language.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Invalid PHP – 500 Server Error’ is closed to new replies.